package cn.iocoder.yudao.module.system.api.robot.dto;

import cn.iocoder.yudao.module.system.api.robot.websocket.RobotStatusDataPoseDTO;
import lombok.Data;

@Data
public class RobotPoseStatusDTO {
    /**
     * mac地址
     */
    public String mac;

    /**
     * 货物到位传感器触发状态：被按下则 true，否则 false
     */
    public Boolean cargoDetected;
    /**
     *  true表示可以做任务，如果是到达了充电点正在充电中应该返回true
     */
    public Boolean taskStatus;

    /**
     * 机器人位姿
     */
    public RobotStatusDataPoseDTO pose2d;

}
