package cn.iocoder.yudao.module.grpc.api;

import cn.iocoder.yudao.module.grpc.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "GRPC 服务 - 调用机器人")
public interface GrpcServiceApi {

    @PostMapping("/grpc/robot/onVehiclePoseUpdatedG")
    @Operation(summary = "订阅车体位姿更新")
    String onVehiclePoseUpdated();

}
