package cn.iocoder.yudao.module.system.api.remote.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RemoteRobotTransferDTO {
    @Schema(description = "车辆IP")
    private String robotIp;

    @Schema(description = "车辆端口")
    private Long robotPort;

    @Schema(description = "AGV编号")
    private String robotNo;
}
