package cn.iocoder.yudao.module.system.api.robot;

import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = ApiConstants.NAME)
@Tag(name = "RPC 服务 - 障碍物状态上报")
public interface RobotObstaclesStatusApi {

    String PREFIX = ApiConstants.PREFIX + "/task";

    @PostMapping(PREFIX + "/robotObstaclesStatus")
    @Operation(summary = "障碍物状态上报")
    void robotObstaclesStatus(@RequestParam("message") String message);
}
