package cn.iocoder.yudao.module.system.mq.producer.remote;

import cn.iocoder.yudao.module.system.mq.message.RemoteSendMessage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Slf4j
@Component
public class RemoteControllerProducer {

    @Resource
    private ApplicationContext applicationContext;

    public void sendSmsSendMessage(RemoteSendMessage message) {
        applicationContext.publishEvent(message);
    }
}
